const contextMenu = require("context-menu");
const tabs = require("tabs");
const clipboard = require("clipboard");

exports.main = function(options, callbacks) {
  var newItem = contextMenu.Item({
  label: "Copy Title and URL",
    onClick: handleClick
  });
  contextMenu.add(newItem);
};

function handleClick(contextObj, item) {
  var title = tabs.activeTab.title;
  var url = tabs.activeTab.location;
  clipboard.setText(title + "\n" + url);
  // test
  // tabs.activeTab.contentWindow.alert(clipboard.getText());
}

